package ShowXPath;

import ShowXPath.XPath.node.*;

import java.io.*;

class RunXPath extends Thread
{
	private Executor _exec;
	private Node _ast;

	private void print(String string)
	{
		//System.out.println("In RunXPath: " + string);
	}

	public RunXPath(Node ast, Executor exec)
	{
		_ast = ast;
		_exec = exec;
	}
	
	public void run()
	{
		_exec.setThread(this);
		_ast.apply(new Interpreter(_exec));
		print("Finished a RunXPath thread");
	}
	
}
