package ShowXPath.TreeNode;

import java.util.*;
import ShowXPath.StackNode.*;

public class LNamespace extends LTreeNode
{
	private String _namespace;
	private String _uri;
	private LTreeNode _parent;
	private static String _type = "LNamespace";

	public String getLang()
	{
		return _parent.getLang();
	}

	public LRoot getRoot()
	{
		return _parent.getRoot();
	}

	public String type()
	{
		return _type;
	}
	
	public LTreeNode getParent()
	{
		return _parent;
	}

	public LNamespace(String namespace, String value, LTreeNode parent)
	{
		_namespace = namespace;
		_uri = value;
		_parent = parent;
		setID();
	}

	public String toString()
	{
		return _namespace + ":" + _uri;
	}
	
	public String getStringValue()
	{
		return _uri;
	}

	public String getName()
	{
		return _namespace;
	}

	public String getLocal_name()
	{
		return _namespace;
	}

	public String getNamespace()
	{
		return "";
	}
	
	public String getNamespace_uri()
	{
		return "";
	}
	
	public LNodeset parent()
	{
		LNodeset list = new LNodeset();
		return list;
	}

	public LNodeset child()
	{
		LNodeset list = new LNodeset();
		return list;
	}

	public LNodeset ancestor()
	{
		LNodeset list = new LNodeset();
		return list;
	}

	public LNodeset self()
	{
		LNodeset list = new LNodeset();
		return list;
	}

	public LNodeset ancestor_or_self()
	{
		LNodeset list = new LNodeset();
		return list;
	}

	public LNodeset descendent()
	{
		LNodeset list = new LNodeset();
		return list;
	}

	public LNodeset descendent_or_self()
	{
		LNodeset list = new LNodeset();
		return list;
	}

	public LNodeset attribute()
	{
		LNodeset list = new LNodeset();
		return list;
	}

	public LNodeset following()
	{
		LNodeset list = new LNodeset();
		return list;
	}

	public LNodeset following_sibling()
	{
		LNodeset list = new LNodeset();
		return list;
	}

	public LNodeset preceding()
	{
		LNodeset list = new LNodeset();
		return list;
	}

	public LNodeset preceding_sibling()
	{
		LNodeset list = new LNodeset();
		return list;
	}

	public LNodeset namespace()
	{
		LNodeset list = new LNodeset();
		return list;
	}

	public String showNode()
	{
		return toString();
	}
	
}
